<template>
  <div class="contenu">
    <h1>Actuellement en salle</h1>
    <div v-for="result in results" :key="result.id" class="affichage">
      <!-- Verification que l'image existe ou remplacement par une image par defaut -->
      <p v-if="result.poster_path != null" class="poster">
        <img v-bind:src="'http://image.tmdb.org/t/p/w154/' + result.poster_path" width="100px" />
      </p>
      <p v-else class="poster">
        <img src="../../public/no-image.png" width="100px" />
      </p>
      <!-- Envoi via router link vers la page d'un film -->
      <router-link v-bind:to="'/information/'+ result.id">
        <p class="title">
          <b>{{result.title}}</b>
        </p>
      </router-link>
      <!-- Verification que le résumer existe sinon résumer par défaut -->
      <div class="synopsis" v-if="result.overview != ''">{{result.overview}}</div>
      <div class="synopsis" v-else > Pas de résumer !</div>
    </div>
    <!-- Pagination -->
    <div class="overflow-auto">
      <b-pagination-nav
        pills
        :link-gen="getPages"
        :number-of-pages="getNumberPages"
        align="center"
        use-router
      ></b-pagination-nav>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: "Films",
  data() {
    return {
      results: null,
      credits: null,
      getNumberPages: 0
    };
  },
  methods: {
    // Récupere le nombre de page maximum via l'api de tmdb
    getPages(pageNum) {
      this.getFilms();
      return pageNum === 0 ? "?" : `/films/${pageNum}`;
    },
    getFilms() {
      axios
        .get(
          "https://api.themoviedb.org/3/movie/now_playing?api_key=8808341f6d652f0ef862338f6c67c723&language=fr&region=fr",
          {
            params: {
              page: this.$route.params.page
            }
          }
        )
        .then(response => {
          // Renvoi le nombre de page 
          this.getNumberPages = response.data.total_pages;
          // Renvoi la requete complete
          this.results = response.data.results;
        });
    }
  }
};
</script>
